<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Widgets: Easy Publish and Consume Reference Manual</title>
<meta name="generator" content="DocBook XSL Stylesheets V1.79.1">
<link rel="home" href="index.html" title="Easy Publish and Consume Reference Manual">
<link rel="up" href="index.html" title="Easy Publish and Consume Reference Manual">
<link rel="prev" href="libepc-1.0-EpcServiceType.html" title="EpcServiceType">
<link rel="next" href="libepc-1.0-password-dialog.html" title="EpcPasswordDialog">
<meta name="generator" content="GTK-Doc V1.25 (XML mode)">
<link rel="stylesheet" href="style.css" type="text/css">
</head>
<body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
<table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="5"><tr valign="middle">
<td width="100%" align="left" class="shortcuts"></td>
<td><a accesskey="h" href="index.html"><img src="home.png" width="16" height="16" border="0" alt="Home"></a></td>
<td><img src="up-insensitive.png" width="16" height="16" border="0"></td>
<td><a accesskey="p" href="libepc-1.0-EpcServiceType.html"><img src="left.png" width="16" height="16" border="0" alt="Prev"></a></td>
<td><a accesskey="n" href="libepc-1.0-password-dialog.html"><img src="right.png" width="16" height="16" border="0" alt="Next"></a></td>
</tr></table>
<div class="chapter">
<div class="titlepage"><div><div><h1 class="title">
<a name="widgets"></a>Widgets</h1></div></div></div>
<div class="toc"><dl class="toc">
<dt>
<span class="refentrytitle"><a href="libepc-1.0-password-dialog.html">EpcPasswordDialog</a></span><span class="refpurpose"> — common password dialog</span>
</dt>
<dt>
<span class="refentrytitle"><a href="libepc-1.0-progress-window.html">EpcProgressWindow</a></span><span class="refpurpose"> — provide feedback during lengthly operations</span>
</dt>
</dl></div>
<p>
      These widgets perform common tasks when using the Easy Publish and Consume library.
      To use them link with <code class="filename">libepc-ui</code> and include its headers, for
      instance by checking for <code class="filename">libepc-ui-1.0</code> with
      <span class="command"><strong>pkg-config</strong></span>.
    </p>
</div>
<div class="footer">
<hr>Generated by GTK-Doc V1.25</div>
</body>
</html>